summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Giovanne Castro <giovannefc@terra.com.br>2010-08-14 15:34:43 -0400
committer dsomero <xgizzmo@slackbuilds.org>2010-08-14 15:34:43 -0400
commitadead74991c3b1bc2fba0f3bb37f99ccc784f4a8 (patch)
tree177c0eb1722baf98d7429db47649f1eec062163a
parente8e5a9a2f7e54a31ceaedda94f78fcea1069a43a (diff)
downloadslackbuilds-adead74991c3b1bc2fba0f3bb37f99ccc784f4a8.tar.gz
slackbuilds-adead74991c3b1bc2fba0f3bb37f99ccc784f4a8.tar.xz
games/playonlinux: Added (wine frontend)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--games/playonlinux/PlayOnLinux.desktop9
-rw-r--r--games/playonlinux/README8
-rw-r--r--games/playonlinux/doinst.sh4
-rw-r--r--games/playonlinux/playonlinux.SlackBuild83
-rw-r--r--games/playonlinux/playonlinux.info10
-rw-r--r--games/playonlinux/slack-desc19
6 files changed, 133 insertions, 0 deletions
diff --git a/games/playonlinux/PlayOnLinux.desktop b/games/playonlinux/PlayOnLinux.desktop
new file mode 100644
index 0000000000..45f2716822
--- /dev/null
+++ b/games/playonlinux/PlayOnLinux.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Version=1.0
+Name=PlayOnLinux
+Comment=Play MS® Windows® Games and Softwares
+Type=Application
+Exec=playonlinux
+Icon=playonlinux
+Categories=Application;Game
+Name[fr_FR]=PlayOnLinux
diff --git a/games/playonlinux/README b/games/playonlinux/README
new file mode 100644
index 0000000000..5efab7c3aa
--- /dev/null
+++ b/games/playonlinux/README
@@ -0,0 +1,8 @@
+PlayOnLinux is a piece of sofware which allows you to easily install
+and use numerous games and softwares designed to run with Microsoft®'s
+Windows®. Few games are compatible with GNU/Linux at the moment and it
+certainly is a factor preventing the migration to this system.
+Playonlinux brings an accessible and efficient solution to this problem,
+cost-free and rescpetful of the free softwares.
+
+This requires wxPython, wine and cabextract. \ No newline at end of file
diff --git a/games/playonlinux/doinst.sh b/games/playonlinux/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/games/playonlinux/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/games/playonlinux/playonlinux.SlackBuild b/games/playonlinux/playonlinux.SlackBuild
new file mode 100644
index 0000000000..a1ecfddcc2
--- /dev/null
+++ b/games/playonlinux/playonlinux.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# SlackBuild for PlayOnLinux - Slackware 13.1
+# http://www.playonlinux.com/
+# Written by Giovanne Castro <giovannefc@terra.com.br>
+
+PRGNAM=playonlinux
+PKGNAM=
+VERSION=${VERSION:-3.7.6}
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/PlayOnLinux_$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+find . -name '*~*' -exec rm -rf {} \;
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -r * $PKG/usr/share/$PRGNAM
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/PlayOnLinux.desktop > \
+ $PKG/usr/share/applications/PlayOnLinux.desktop
+
+mkdir -p $PKG/usr/share/pixmaps
+cp -a $PKG/usr/share/$PRGNAM/etc/playonlinux.png $PKG/usr/share/pixmaps/
+
+mkdir -p $PKG/usr/bin
+echo "#!/bin/bash" > $PKG/usr/bin/$PRGNAM
+echo "/usr/share/$PRGNAM/$PRGNAM \"\$@\"" >> $PKG/usr/bin/$PRGNAM
+chmod +x $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENCE CHANGELOG \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/playonlinux/playonlinux.info b/games/playonlinux/playonlinux.info
new file mode 100644
index 0000000000..63a1517c08
--- /dev/null
+++ b/games/playonlinux/playonlinux.info
@@ -0,0 +1,10 @@
+PRGNAM="playonlinux"
+VERSION="3.7.6"
+HOMEPAGE="http://www.playonlinux.com/"
+DOWNLOAD="http://www.playonlinux.com/script_files/PlayOnLinux/3.7.6/PlayOnLinux_3.7.6.tar.gz"
+MD5SUM="b350b61fd2bc382f210cd56ab141ba0a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Giovanne Castro"
+EMAIL="giovannefc@terra.com.br"
+APPROVED="dsomero"
diff --git a/games/playonlinux/slack-desc b/games/playonlinux/slack-desc
new file mode 100644
index 0000000000..607fa87942
--- /dev/null
+++ b/games/playonlinux/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+playonlinux: playonlinux (Play Games and Softwares of MS® Windows® on Linux)
+playonlinux:
+playonlinux: PlayOnLinux is a piece of sofware which allows you to easily install
+playonlinux: and use numerous games and softwares designed to run with Microsoft's
+playonlinux: Windows. Few games are compatible with GNU/Linux at the moment and it
+playonlinux: certainly is a factor preventing the migration to this system.
+playonlinux: playonlinux brings an accessible and efficient solution to this
+playonlinux: problem, cost-free and rescpetful of the free softwares.
+playonlinux:
+playonlinux: Homepage: http://www.playonlinux.com/
+playonlinux: